
%global forgeurl https://github.com/influxdata/influxdb-client-python

Name:           python-influxdb-client
Version:        1.45.0
%forgemeta
Release:        1%{?dist}
Summary:        Python client library for the InfluxDB 2.0 and 1.8+

License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pandas

%global _description\
Use this client library with InfluxDB 2.x and InfluxDB 1.8+. For connecting\
to InfluxDB 1.7 or earlier instances, use the python-influxdb package.\

%description   %_description

%package -n python3-influxdb-client
Summary:       %{summary}

%description -n python3-influxdb-client %_description


%prep
%forgesetup

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files influxdb_client


%check
# The upstream test suite needs to run InfluxDB2 on local
# machine using docker which is hard for distros to run
# in buildroot. For now, we'll just check that the module is
# importable.
# we ignore async files as CloudKitty only uses sync mode.
%pyproject_check_import -e *async*


%files -n python3-influxdb-client -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Wed Sep 04 2024 Federico Pellegrin <fede@evolware.org> - 1.45.0-1
- Bump to 1.45.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.36.1-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.36.1-2
- Rebuilt for Python 3.12

* Sat Mar 25 2023 Steve Traylen <steve.traylen@cern.ch> - 1.36.1-1
- First Fedora Package #2117384
